package com.dcsoft.system.vehicle.service;

import com.dcsoft.system.vehicle.domain.CarPark;

import java.util.List;

/**
 * 车场信息Service接口
 *
 * @author nichun
 * @date 2023-12-27
 */
public interface ICarParkService
{
    /**
     * 查询车场信息
     *
     * @param id 车场信息主键
     * @return 车场信息
     */
    public CarPark selectCarParkById(Long id);

    /**
     * 查询车场信息列表
     *
     * @param carPark 车场信息
     * @return 车场信息集合
     */
    public List<CarPark> selectCarParkList(CarPark carPark);

    /**
     * 新增车场信息
     *
     * @param carPark 车场信息
     * @return 结果
     */
    public int insertCarPark(CarPark carPark);

    /**
     * 修改车场信息
     *
     * @param carPark 车场信息
     * @return 结果
     */
    public int updateCarPark(CarPark carPark);

    /**
     * 批量删除车场信息
     *
     * @param ids 需要删除的车场信息主键集合
     * @return 结果
     */
    public int deleteCarParkByIds(Long[] ids);

    /**
     * 删除车场信息信息
     *
     * @param id 车场信息主键
     * @return 结果
     */
    public int deleteCarParkById(Long id);
}
